Type to search.

Update script

Base URL
https://{kibana_url}
Auth

Update (full or partial) a script entry

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

script_id string · max length: 256 required

The ID of the script entry to be updated.

Example: fr518850-681a-4y60-aa98-e22640cae2b8

Request body

description string · max length: 10000

Description of the script and its purpose/functionality

example string · max length: 10000

Example usage of the script

file object · format: binary

The script file upload

fileType enum

The type of the uploaded file, which determines the expected value of pathToExecutable. If fileType is "script", then pathToExecutable should not be included. If fileType is "archive", then pathToExecutable is required and should specify the path to the executable file within the archive.

Values: script archive
instructions string · max length: 10000

Instructions for using the script, including details around its supported input arguments

name string · min length: 1 · max length: 256

Name of the script

pathToExecutable string · max length: 4096

Used only for when the uploaded script is an archive (.zip file for example). This property defines the relative path to the file included in the archive that should be executed once its contents are extracted. The path should be relative to the root of the archive.

platform enum[]

Platforms supported by the the script

Values: linux macos windows
requiresInput boolean

Whether the script requires input arguments

tags enum[]

Tags to categorize the script

Values: remediationAction dataCollection networkDiagnostics networkAction systemInventory forensicCollection threatHunting discovery systemManagement userManagement troubleshooting
version string · min length: 1 · max length: 256

Version of the script

Response

Action request was successfully updated

application/json